package cn.iocoder.yudao.module.order.convert.orderSplitItem;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import cn.iocoder.yudao.module.order.vo.orderSplitItem.*;
import cn.iocoder.yudao.module.order.dal.dataobject.orderSplitItem.OrderSplitItemDO;

/**
 * 订单拆单产品项 Convert
 * @author yanghao
 */
@Mapper
public interface OrderSplitItemConvert {
    /*****转换MapStruct*****/
    OrderSplitItemConvert INSTANCE = Mappers.getMapper(OrderSplitItemConvert.class);

    /***
     * 创建VO转实体
     * @param bean
     * @return
     */
    OrderSplitItemDO convert(OrderSplitItemCreateReqVO bean);

    /***
     * 修改VO转实体
     * @param bean
     * @return
     */
    OrderSplitItemDO convert(OrderSplitItemUpdateReqVO bean);

    /***
     * 实体转返回VO
     * @param bean
     * @return
    */
    OrderSplitItemBackVO convert(OrderSplitItemDO bean);

    /***
     * 实体列表转返回VO列表
     * @param list
     * @return
     */
    List<OrderSplitItemBackVO> convertList(List<OrderSplitItemDO> list);

    /***
     * 实体分页转返回分页
     * @param page
     * @return
     */
    PageResult<OrderSplitItemBackVO> convertPage(PageResult<OrderSplitItemDO> page);
}
