package cn.iocoder.yudao.module.order.vo.targetLog;

import lombok.*;

import java.math.BigDecimal;
import java.util.*;
import io.swagger.annotations.*;
import javax.validation.constraints.*;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
* 部门业绩日志 Base VO，提供给添加、修改、详细的子 VO 使用
* 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
*/
@Data
public class TargetLogBaseVO {

    @ApiModelProperty(value = "订单id")
    private Long orderId;

    @ApiModelProperty(value = "业绩归属用户id", required = true)
    @NotNull(message = "业绩归属用户id不能为空")
    private Long userId;

    @ApiModelProperty(value = "已完成方数")
    private BigDecimal completeVolume;

    @ApiModelProperty(value = "产生业绩的时间", required = true)
    @NotNull(message = "产生业绩的时间不能为空")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private Date achievementTime;

}
